#include <bitmaps.h>

static const uint8_t gps_disconnected_data[] = {
        0x0a,
        0x80,
        0x0d,
        0x80,
        0x0b,
        0x84,
        0x03,
        0x82,
        0x04,
        0x80,
        0x04,
        0x81,
        0x06,
        0x80,
        0x03,
        0x81,
        0x03,
        0x81,
        0x06,
        0x82,
        0x00,
        0x83,
        0x06,
        0x82,
        0x02,
        0x80,
        0x07,
        0x83,
        0x01,
        0x80,
        0x01,
        0x80,
        0x05,
        0x83,
        0x03,
        0x80,
        0x06,
        0x84,
        0x00,
        0x81,
        0x07,
        0x85,
        0x0a,
        0x81,
        0x09,
        0x84,
        0x08,
        0x86,
        0x05};
const struct rle_bitmap gps_disconnected = { 15, 15, gps_disconnected_data };

static const uint8_t date_icon_data[] = {
        0x10,
        0x8a,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x8a,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x01,
        0x83,
        0x02,
        0x80,
        0x03,
        0x80,
        0x04,
        0x80,
        0x02,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x04,
        0x80,
        0x02,
        0x80,
        0x03,
        0x80,
        0x01,
        0x80,
        0x01,
        0x80,
        0x02,
        0x80,
        0x03,
        0x80,
        0x02,
        0x81,
        0x01,
        0x82,
        0x03,
        0x80,
        0x05,
        0x80,
        0x01,
        0x80,
        0x03,
        0x80,
        0x05,
        0x80,
        0x00,
        0x80,
        0x04,
        0x88,
        0x12};
const struct rle_bitmap date_icon = { 15, 15, date_icon_data };

static const uint8_t gps_receiving_data[] = {
        0x06,
        0x83,
        0x0e,
        0x80,
        0x0a,
        0x81,
        0x01,
        0x80,
        0x04,
        0x82,
        0x03,
        0x80,
        0x01,
        0x80,
        0x02,
        0x81,
        0x06,
        0x80,
        0x00,
        0x80,
        0x01,
        0x81,
        0x03,
        0x81,
        0x01,
        0x80,
        0x00,
        0x80,
        0x01,
        0x82,
        0x00,
        0x83,
        0x03,
        0x80,
        0x01,
        0x82,
        0x02,
        0x80,
        0x07,
        0x83,
        0x01,
        0x80,
        0x01,
        0x80,
        0x05,
        0x83,
        0x03,
        0x80,
        0x06,
        0x84,
        0x00,
        0x81,
        0x07,
        0x85,
        0x0a,
        0x81,
        0x09,
        0x84,
        0x08,
        0x86,
        0x05};
const struct rle_bitmap gps_receiving = { 15, 15, gps_receiving_data };

static const uint8_t battery_data[] = {
        0x8d,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x8d,
        0x00};
const struct rle_bitmap battery = { 15, 12, battery_data };

static const uint8_t clock_icon_data[] = {
        0x03,
        0x00,
        0x84,
        0x07,
        0x00,
        0x80,
        0x04,
        0x80,
        0x00,
        0x04,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x02,
        0x00,
        0x04,
        0x80,
        0x04,
        0x00,
        0x01,
        0x80,
        0x04,
        0x80,
        0x04,
        0x80,
        0x00,
        0x00,
        0x05,
        0x80,
        0x05,
        0x00,
        0x80,
        0x05,
        0x80,
        0x05,
        0x81,
        0x05,
        0x80,
        0x05,
        0x81,
        0x06,
        0x80,
        0x04,
        0x80,
        0x00,
        0x07,
        0x80,
        0x03,
        0x00,
        0x00,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x00,
        0x0a,
        0x00,
        0x02,
        0x80,
        0x08,
        0x80,
        0x04,
        0x00,
        0x80,
        0x04,
        0x80,
        0x00,
        0x07,
        0x00,
        0x82,
        0x00,
        0x04};
const struct rle_bitmap clock_icon = { 15, 15, clock_icon_data };

static const uint8_t example_icon_data[] = {
        0x2e,
        0x81,
        0x05,
        0x81,
        0x04,
        0x81,
        0x05,
        0x82,
        0x16,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x08,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x08,
        0x81,
        0x02,
        0x81,
        0x06,
        0x81,
        0x04,
        0x83,
        0x01,
        0x82,
        0x08,
        0x83,
        0x14};
const struct rle_bitmap example_icon = { 15, 15, example_icon_data };

static const uint8_t battery_charging_data[] = {
        0x8d,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x05,
        0x81,
        0x03,
        0x82,
        0x04,
        0x84,
        0x01,
        0x82,
        0x00,
        0x86,
        0x03,
        0x82,
        0x00,
        0x86,
        0x03,
        0x82,
        0x04,
        0x84,
        0x01,
        0x82,
        0x05,
        0x81,
        0x03,
        0x82,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x8d,
        0x00};
const struct rle_bitmap battery_charging = { 15, 12, battery_charging_data };

static const uint8_t gps_searching_data[] = {
        0x0c,
        0x80,
        0x0c,
        0x80,
        0x13,
        0x82,
        0x03,
        0x80,
        0x05,
        0x81,
        0x04,
        0x80,
        0x05,
        0x81,
        0x03,
        0x81,
        0x06,
        0x82,
        0x00,
        0x83,
        0x06,
        0x82,
        0x02,
        0x80,
        0x07,
        0x83,
        0x01,
        0x80,
        0x01,
        0x80,
        0x05,
        0x83,
        0x03,
        0x80,
        0x06,
        0x84,
        0x00,
        0x81,
        0x07,
        0x85,
        0x0a,
        0x81,
        0x09,
        0x84,
        0x08,
        0x86,
        0x05};
const struct rle_bitmap gps_searching = { 15, 15, gps_searching_data };

static const uint8_t settings_icon_data[] = {
        0x02,
        0x81,
        0x0d,
        0x81,
        0x0c,
        0x81,
        0x08,
        0x80,
        0x01,
        0x82,
        0x08,
        0x85,
        0x09,
        0x85,
        0x0c,
        0x82,
        0x0c,
        0x82,
        0x0c,
        0x82,
        0x0c,
        0x85,
        0x09,
        0x85,
        0x08,
        0x82,
        0x01,
        0x80,
        0x08,
        0x81,
        0x0c,
        0x81,
        0x0d,
        0x81,
        0x02};
const struct rle_bitmap settings_icon = { 15, 15, settings_icon_data };

